{
  "schema_version": "1.4.0",
  "id": "GHSA-9q7g-4jpg-gvhv",
  "modified": "2025-04-20T03:34:32Z",
  "published": "2022-05-17T00:26:52Z",
  "aliases": [
    "CVE-2017-6838"
  ],
  "details": "Integer overflow in sfcommands/sfconvert.c in Audio File Library (aka audiofile) 0.3.6 allows remote attackers to cause a denial of service (crash) via a crafted file.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2017-6838"
    },
    {
      "type": "WEB",
      "url": "https://github.com/mpruett/audiofile/issues/41"
    },
    {
      "type": "WEB",
      "url": "https://github.com/antlarr/audiofile/commit/7d65f89defb092b63bcbc5d98349fb222ca73b3c"
    },
    {
      "type": "WEB",
      "url": "https://blogs.gentoo.org/ago/2017/02/20/audiofile-multiple-ubsan-crashes"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2017/dsa-3814"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2017/03/13/9"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-03-20T16:59:00Z"
  }
}